import { WeaTools } from 'ecCom';

export const getRegisterFilterList = params => {
  return WeaTools.callApi('/api/integration/whitelist/getRegisterFilterList', 'POST', params);
};
export const getWhiteList = params => {
  return WeaTools.callApi('/api/integration/whitelist/getWhiteList', 'POST', params);
};
export const getBaseInfoForm = params => {
  return WeaTools.callApi('/api/integration/whitelist/getBaseInfoForm', 'POST', params);
};
export const getBaseInfoFormOperation = params => {
  return WeaTools.callApi('/api/integration/whitelist/getBaseInfoFormOperation', 'POST', params);
};
export const getRegisterFilterForm = params => {
  return WeaTools.callApi('/api/integration/whitelist/getRegisterFilterForm', 'POST', params);
};
export const getRegisterFilterFormOperation = params => {
  return WeaTools.callApi('/api/integration/whitelist/getRegisterFilterFormOperation', 'POST', params);
};
export const getRegisterFilterRightMenu = params => {
    return WeaTools.callApi('/api/integration/whitelist/getRegisterFilterRightMenu', 'POST', params);
};
export const getWhiteListRightMenu = params => {
  return WeaTools.callApi('/api/integration/whitelist/getWhiteListRightMenu', 'POST', params);
};
export const getBaseInfoCondition = params => {
    return WeaTools.callApi('/api/integration/whitelist/getBaseInfoCondition', 'POST', params);
};
export const getRegisterFilterCondition = params => {
  return WeaTools.callApi('/api/integration/whitelist/getRegisterFilterCondition', 'POST', params);
};
export const getWhiteListMappingOperation = params => {
  return WeaTools.callApi('/api/integration/whitelist/getWhiteListMappingOperation', 'POST', params);
};
export const getRegisterFilterSelectedWhiteList = params => {
  return WeaTools.callApi('/api/integration/whitelist/getRegisterFilterSelectedWhiteList', 'POST', params);
};
export const getRegisterFilterId = params => {
  return WeaTools.callApi('/api/integration/whitelist/getRegisterFilterId', 'POST', params);
};
export const getRegisterFilterisValid = params => {
  return WeaTools.callApi('/api/integration/whitelist/getRegisterFilterisValid', 'POST', params);
};

//以下暂不使用
export const getRegisterAppEditForm = params => {
    return WeaTools.callApi('/api/integration/authenticationcenter/getRegisterAppEditForm', 'POST', params);
};
export const getRegisterAppOperation = params => {
  return WeaTools.callApi('/api/integration/authenticationcenter/getRegisterAppOperation', 'POST', params);
};
export const getRegisterAppDataMappingEditForm = params => {
  return WeaTools.callApi('/api/integration/authenticationcenter/getRegisterAppDataMappingEditForm', 'POST', params);
};
export const getRegisterAppDataMappingImportForm = params => {
  return WeaTools.callApi('/api/integration/authenticationcenter/getRegisterAppDataMappingImportForm', 'POST', params);
};
export const getRegisterAppDataMappingList = params => {
  return WeaTools.callApi('/api/integration/authenticationcenter/getRegisterAppDataMappingList', 'POST', params);
};
export const getRegisterAppDataMappingRightMenu = params => {
  return WeaTools.callApi('/api/integration/authenticationcenter/getRegisterAppDataMappingRightMenu', 'POST', params);
};
export const getRegisterAppDataMappingCondition = params => {
  return WeaTools.callApi('/api/integration/authenticationcenter/getRegisterAppDataMappingCondition', 'POST', params);
};
export const getRegisterAppDataMappingOperation = params => {
  return WeaTools.callApi('/api/integration/authenticationcenter/getRegisterAppDataMappingOperation', 'POST', params);
};
export const getRegisterAppLoginLogList = params => {
  return WeaTools.callApi('/api/integration/authenticationcenter/getRegisterAppLoginLogList', 'POST', params);
};
export const getRegisterAppLoginLogCondition = params => {
  return WeaTools.callApi('/api/integration/authenticationcenter/getRegisterAppLoginLogCondition', 'POST', params);
};
export const checkUserMappingLoginIdUnique = params => {
  return WeaTools.callApi('/api/integration/authenticationcenter/checkUserMappingLoginIdUnique', 'POST', params);
};
export const checkUserMappingAppLoginIdUnique = params => {
  return WeaTools.callApi('/api/integration/authenticationcenter/checkUserMappingAppLoginIdUnique', 'POST', params);
};